curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-name \
--header 'Authorization: Bearer <token>'{
"updatedList": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filtersUpdatedAt": "2023-11-15T19:03:24.160Z",
"listId": "123",
"listVersion": 2,
"name": "Updated List Name",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T19:03:32.979Z",
"updatedById": "123"
}
}Atualize o nome de uma lista. O nome deve ser globalmente exclusivo em relação a todas as outras listas públicas no portal.
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-name \
--header 'Authorization: Bearer <token>'{
"updatedList": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filtersUpdatedAt": "2023-11-15T19:03:24.160Z",
"listId": "123",
"listVersion": 2,
"name": "Updated List Name",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T19:03:32.979Z",
"updatedById": "123"
}
}Produtos suportados
Escopos Necessários
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
O ID ILS da lista a atualizar.
Um sinalizador indicando se a definição da lista de objetos de resposta deve ou não incluir uma definição de ramificação de filtro. Por padrão, as definições de lista de objetos não terão suas definições de ramificação de filtro incluídas na resposta.
O nome para atualizar a lista.
Successful response, for a request with includeFilters set to false.
The updated definition of the list in response to a list update request.
An object list definition.
Show child attributes